## plasma-workspace 6.4.4

=== debian/changelog ===
plasma-workspace (4:6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Build depend on qt6-location-dev
  * Update install files.
  * Update symbols from build logs.
  * Update breaks/replaces for files moved.
  * Update Breaks/Replaces for 6.4 release.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:31:26 +0100

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: appmenu-gtk3-module,
               breeze-dev (>= 4:6.4.4~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.14.0~),
               kded6-dev (>= 6.14.0~),
               kirigami-addons-dev (>= 1.0.0~),
               kscreenlocker-dev (>= 6.4.4~),
               kwayland-dev (>= 4:6.4.4~),
               kwin-dev (>= 4:6.4.4~),
               libappstreamqt-dev (>= 1.0.0~),
               libcanberra-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libice-dev,
               libicu-dev,
               libkexiv2qt6-dev,
               libkf6archive-dev (>= 6.14.0~),
               libkf6auth-dev (>= 6.14.0~),
               libkf6baloo-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6declarative-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6holidays-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6idletime-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6networkmanagerqt-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6notifyconfig-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6prison-dev (>= 6.14.0~),
               libkf6runner-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkf6texteditor-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.14.0~),
               libkf6unitconversion-dev (>= 6.14.0~),
               libkf6userfeedback-dev (>= 6.14.0~),
               libkf6wallet-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libkpipewire-dev (>= 6.4.4~),
               libkscreen-dev (>= 4:6.4.4~),
               libksysguard-dev (>= 4:6.4.4~),
               liblayershellqtinterface-dev (>= 6.4.4~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev (>= 6.4.4~),
               libplasma5support-dev (>= 4:6.4.4~),
               libplasmaactivities-dev (>= 6.4.4~),
               libplasmaactivitiesstats-dev (>= 6.4.4~),
               libpolkit-qt6-1-dev,
               libqalculate-dev (>= 2.0~),
               libquickcharts-dev (>= 6.14.0~),
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxft-dev,
               libxrender-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6~),
               qcoro-qt6-dev,
               qml6-module-org-kde-prison (>= 6.14.0~),
               qt6-5compat-dev (>= 6.8.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0~),
               qt6-location-dev (>= 6.8.0~),
               qt6-positioning-dev (>= 6.8.0~),
               qt6-shadertools-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
               qt6-wayland-private-dev (>= 6.8.0~),
               systemd-dev,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Rules-Requires-Root: no

Package: libbatterycontrol6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace battery control library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the battery control library files.

Package: libcolorcorrect6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace color correction library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used for configuring the color correction at
 the compositor level. This includes adjusting screen gamma levels
 and setting night time color temperature (Night Light).
 .
 Currently only controlling KWin in Wayland mode is supported.
 .
 This package contains the color correction library files.

Package: libkfontinst6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace fonts installation library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the fonts installation library files.

Package: libkfontinstui6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace UI components for fonts installation
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides UI components to manage fonts installation
 used in the fonts installation KCM configuration screen.
 .
 This package contains the library files for the fonts installation
 UI components.

Package: libklipper6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspaces Klipper library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 Klipper is the Plasma clipboard utility. It stores clipboard
 history, and allows you to link clipboard contents to application
 actions.
 .
 This package contains the Klipper library files.

Package: libkmpris6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace MPRIS library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used to control Media Player Remote Interfacing
 Specification-compatible media players.
 .
 This package contains Plasma Workspace MPRIS library files.

Package: libkworkspace6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides the core features of Plasma Workspace like
 display, login and session management.
 .
 This package contains the main Plasma Workspace library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace notification manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library is responsible for listing notifications, closing them
 and interacting with them in Plasma.
 .
 This package contains the notification manager library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace task manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 The task manager library provides various abstractions for listing
 windows, startup tasks and launcher jobs.
 .
 This package contains the task manager library files.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace weather information library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides support for interfacing with online weather
 information sources.
 .
 This package contains the weather information library files.

Package: plasma-session-wayland
Architecture: any
Depends: kwin-wayland (>= 4:6.4.0~),
         plasma-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace-wayland,
          plasma-workspace (<< 4:6.4.3),
Replaces: plasma-workspace-wayland,
          plasma-workspace (<< 4:6.4.3),
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the Wayland session files.

Package: plasma-session-x11
Architecture: any
Depends: kwin-x11 (>= 4:6.4.0~),
         plasma-workspace (= ${binary:Version}),
         xorg,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.4.3),
Replaces: plasma-workspace (<< 4:6.4.3),
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the X11 session files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 6.2.90~),
         frameworkintegration6,
         gdb,
         iso-codes,
         kactivitymanagerd (>= 6.2.90~),
         kded6,
         kglobalacceld (>= 6.2.90~),
         kwin-common (>= 4:6.2.90~),
         kwin-wayland (>= 4:6.2.90~),
         libkf6config-bin,
         milou (>= 4:6.2.90~),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace-data (>= ${source:Version}),
         python3:any,
         qdbus-qt6,
         qml6-module-org-kde-activities,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,

## plasma-workspace 6.4.5

=== applets/CMakeLists.txt ===
plasma_install_package(activitybar org.kde.plasma.activitybar)
add_subdirectory(icon)

plasma_install_package(analog-clock org.kde.plasma.analogclock)
plasma_install_package(lock_logout org.kde.plasma.lock_logout)
plasma_install_package(manage-inputmethod org.kde.plasma.manage-inputmethod)

add_subdirectory(appmenu)
if (KSysGuard_FOUND)
    add_subdirectory(systemmonitor)
    add_subdirectory(devicenotifier)
endif()
add_subdirectory(calendar)
add_subdirectory(digital-clock)
add_subdirectory(keyboardindicator)
add_subdirectory(kicker)
add_subdirectory(mediacontroller)
add_subdirectory(panelspacer)
if(BUILD_CAMERAINDICATOR)
    add_subdirectory(cameraindicator)
endif()
plasma_install_package(clipboard org.kde.plasma.clipboard)

add_subdirectory(notifications)
add_subdirectory(systemtray)

=== devicenotifications/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kded_devicenotifications\")

kcoreaddons_add_plugin(devicenotifications SOURCES devicenotifications.cpp devicenotifications.h INSTALL_NAMESPACE "kf6/kded")
target_link_libraries(devicenotifications
    KF6::DBusAddons
    KF6::CoreAddons
    KF6::I18n
    KF6::Notifications
    UDev::UDev
    Wayland::Client
)

=== libcolorcorrect/CMakeLists.txt ===
add_subdirectory(kded)

set(colorcorrect_LIB_SRCS
    compositorcoloradaptor.cpp
    suncalc.cpp
    suntransit.cpp
    )

add_library(colorcorrect ${colorcorrect_LIB_SRCS})
add_library(PW::LibColorCorrect ALIAS colorcorrect)

generate_export_header(colorcorrect)

target_include_directories(colorcorrect PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/colorcorrect>")

target_link_libraries(colorcorrect
                    PUBLIC
                      KF6::ConfigCore

                      Qt::Core
                      Qt::Quick
                    PRIVATE
                      KF6::I18n

                      Qt::DBus)

set_target_properties(colorcorrect PROPERTIES
                      VERSION ${PROJECT_VERSION}
                      SOVERSION ${PROJECT_VERSION_MAJOR}
                      EXPORT_NAME LibColorCorrect)

ecm_add_qml_module(colorcorrect URI org.kde.colorcorrect GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(colorcorrect)

install(TARGETS colorcorrect EXPORT libcolorcorrectLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    colorcorrectconstants.h
    compositorcoloradaptor.h
    ${CMAKE_CURRENT_BINARY_DIR}/colorcorrect_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/colorcorrect COMPONENT Devel
)

write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfigVersion.cmake VERSION "${PROJECT_VERSION}" COMPATIBILITY AnyNewerVersion)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/LibColorCorrect)

configure_package_config_file(LibColorCorrectConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/LibColorCorrectConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT libcolorcorrectLibraryTargets
        NAMESPACE PW::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE LibColorCorrectLibraryTargets.cmake )

=== libdbusmenuqt/CMakeLists.txt ===
set(libdbusmenu_SRCS
dbusmenuimporter.cpp
dbusmenushortcut_p.cpp
dbusmenutypes_p.cpp
utils.cpp
dbusmenuimporter.h
dbusmenushortcut_p.h
dbusmenutypes_p.h
)

ecm_qt_declare_logging_category(libdbusmenu_SRCS HEADER debug.h
                                            IDENTIFIER DBUSMENUQT
                                            CATEGORY_NAME org.kde.libdbusmenuqt
                                            DEFAULT_SEVERITY Info
                                            DESCRIPTION "libdbusmenu debug"
                                            EXPORT PLASMAWORKSPACE
                                        )

set_source_files_properties(com.canonical.dbusmenu.xml PROPERTIES
   NO_NAMESPACE true
   INCLUDE "dbusmenutypes_p.h"
   CLASSNAME DBusMenuInterface
)
qt_add_dbus_interface(libdbusmenu_SRCS com.canonical.dbusmenu.xml dbusmenu_interface)


add_library(dbusmenuqt STATIC ${libdbusmenu_SRCS})
target_link_libraries(dbusmenuqt
    Qt::DBus
    Qt::Widgets
)

set_property(TARGET dbusmenuqt PROPERTY POSITION_INDEPENDENT_CODE ON)

add_subdirectory(test)

=== logout-greeter/CMakeLists.txt ===
set(LOGOUT_GREETER_SRCS main.cpp greeter.cpp shutdowndlg.cpp shutdowndlg.h)
ecm_qt_declare_logging_category(LOGOUT_GREETER_SRCS HEADER debug.h
                                IDENTIFIER LOGOUT_GREETER
                                CATEGORY_NAME kde.logout_greeter
                                DEFAULT_SEVERITY Info
                                DESCRIPTION "logout greeter debug"
                                EXPORT PLASMAWORKSPACE
                            )


qt_add_dbus_adaptor( LOGOUT_GREETER_SRCS ../ksmserver/org.kde.LogoutPrompt.xml greeter.h Greeter)
add_executable(ksmserver-logout-greeter ${LOGOUT_GREETER_SRCS})
target_link_libraries(ksmserver-logout-greeter
    PW::KWorkspace
    Qt::Widgets
    Qt::Quick
    Qt::DBus
    KF6::I18n
    Plasma::PlasmaQuick
    KF6::Package
    KF6::WindowSystem
    KF6::ConfigCore
    X11::X11
    LayerShellQt::Interface
)

if(PACKAGEKIT_OFFLINE_UPDATES)
    target_link_libraries(ksmserver-logout-greeter PK::packagekitqt6)
    target_compile_definitions(ksmserver-logout-greeter PRIVATE PACKAGEKIT_OFFLINE_UPDATES)
endif()

install(TARGETS ksmserver-logout-greeter DESTINATION ${KDE_INSTALL_LIBEXECDIR})
kdbusaddons_generate_dbus_service_file(ksmserver-logout-greeter org.kde.LogoutPrompt ${KDE_INSTALL_FULL_LIBEXECDIR})

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== appiumtests/ksplash/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME ksplashtest_wayland
    COMMAND sh -c "mkdir -p /tmp/appium/ksplashtest_wayland;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/ksplashtest.py --failfast"
)
set_tests_properties(ksplashtest_wayland PROPERTIES TIMEOUT 60 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/ksplashtest_wayland;FLASK_PORT=5701")

add_test(
    NAME ksplashtest_x11
    COMMAND sh -c "mkdir -p /tmp/appium/ksplashtest_x11;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/ksplashtest.py --failfast"
)
set_tests_properties(ksplashtest_x11 PROPERTIES TIMEOUT 60 ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/ksplashtest_x11;FLASK_PORT=5702;TEST_WITH_KWIN_WAYLAND=0")

=== applets/digital-clock/CMakeLists.txt ===
add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.digitalclock)

=== components/dbus/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(dbusplugin URI org.kde.plasma.workspace.dbus VERSION 1.0 CLASS_NAME DBusPlugin NO_GENERATE_PLUGIN_SOURCE)
target_sources(dbusplugin
    PRIVATE
        dbusplugin.cpp
        dbusconnection.cpp dbusconnection.h
        dbussignalwatcher.cpp dbussignalwatcher.h
        dbusdecoder.cpp dbusdecoder.h
        dbusencoder.cpp dbusencoder.h
        dbuserror.cpp dbuserror.h
        dbusmessage.cpp dbusmessage.h
        dbuspendingreply.cpp dbuspendingreply.h
        dbusproperties.cpp dbusproperties.h
        dbusservicewatcher.cpp dbusservicewatcher.h
        dbustype.h
)
ecm_qt_declare_logging_category(dbusplugin
    HEADER dbusplugin_debug.h
    IDENTIFIER DBUSPLUGIN_DEBUG
    CATEGORY_NAME org.kde.plasma.workspace.dbus
    DESCRIPTION "dbusplugin"
    EXPORT PLASMAWORKSPACE
)
target_link_libraries(dbusplugin
    PRIVATE
        Qt::DBus
        Qt::Qml
        PkgConfig::DBus
)
ecm_finalize_qml_module(dbusplugin)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== components/keyboardlayout/CMakeLists.txt ===
set(keyboardlayoutplugin_SRCS
    keyboardlayout.cpp keyboardlayout.h
    keyboardlayoutplugin.cpp keyboardlayoutplugin.h
    layoutnames.cpp
    virtualkeyboard.cpp virtualkeyboard.h
)

ecm_qt_declare_logging_category(keyboardlayoutplugin_SRCS HEADER debug.h
    IDENTIFIER KEYBOARD_LAYOUT
    CATEGORY_NAME kde.keyboardlayout
    DEFAULT_SEVERITY Info
    DESCRIPTION "keyboard layout plugins"
    EXPORT PLASMAWORKSPACE
)

set_source_files_properties(org.kde.KeyboardLayouts.xml
        PROPERTIES INCLUDE layoutnames.h)

qt_add_dbus_interface(keyboardlayoutplugin_SRCS "org.kde.KeyboardLayouts.xml" keyboard_layout_interface)
qt_add_dbus_interface(keyboardlayoutplugin_SRCS "${KWIN_VIRTUALKEYBOARD_INTERFACE}" virtualkeyboard_interface)

add_library(keyboardlayoutplugin SHARED ${keyboardlayoutplugin_SRCS})

target_link_libraries(keyboardlayoutplugin Qt::Core
                                           Qt::DBus
                                           Qt::Qml)

set(keyboardlayoutplugin_PATH /org/kde/plasma/workspace/keyboardlayout)
install(TARGETS keyboardlayoutplugin
  DESTINATION ${KDE_INSTALL_QMLDIR}${keyboardlayoutplugin_PATH})
install(FILES qmldir
  DESTINATION ${KDE_INSTALL_QMLDIR}${keyboardlayoutplugin_PATH})

=== components/lookandfeelqml/CMakeLists.txt ===
set(lookandfeelqmlplugin_SRCS
    lookandfeelqmlplugin.cpp lookandfeelqmlplugin.h
    kpackageinterface.cpp kpackageinterface.h
)

add_library(lookandfeelqmlplugin SHARED ${lookandfeelqmlplugin_SRCS})
target_link_libraries(lookandfeelqmlplugin
    Qt::Qml
    KF6::ConfigCore
    KF6::Package
)

install(TARGETS lookandfeelqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/lookandfeel)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/lookandfeel)

=== containmentactions/applauncher/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_containmentactions_applauncher\")

set(applauncher_SRCS
    launch.cpp launch.h
)
ki18n_wrap_ui(applauncher_SRCS config.ui)

kcoreaddons_add_plugin(plasma_containmentactions_applauncher SOURCES ${applauncher_SRCS} INSTALL_NAMESPACE "plasma/containmentactions")

set_target_properties(plasma_containmentactions_applauncher PROPERTIES
    OUTPUT_NAME org.kde.applauncher
)

target_link_libraries(plasma_containmentactions_applauncher Plasma::Plasma KF6::KIOCore KF6::KIOWidgets KF6::I18n)

=== dataengines/weather/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_engine_weather\")
remove_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x50f02)

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_FROM_BYTEARRAY
)

add_subdirectory(ions)

set(weather_SRCS weatherengine.cpp weatherengine.h)
ecm_qt_declare_logging_category(weather_SRCS
    HEADER weatherenginedebug.h
    IDENTIFIER WEATHER
    CATEGORY_NAME kde.dataengine.weather
    DEFAULT_SEVERITY Info
    DESCRIPTION "DataEngine weather engine"
    EXPORT PLASMAWORKSPACE
)

kcoreaddons_add_plugin(plasma_engine_weather SOURCES ${weather_SRCS} INSTALL_NAMESPACE plasma5support/dataengine)
target_compile_definitions(plasma_engine_weather PRIVATE -DQT_DISABLE_DEPRECATED_BEFORE=0x050e00) # needed for QNetworkConfigurationManager

target_link_libraries (plasma_engine_weather
            KF6::KIOCore
            KF6::Solid
            Plasma::Plasma
            Plasma::Plasma5Support
            KF6::Service
            Qt::Network
            weather_ion)

=== debian/changelog ===
plasma-workspace (4:6.4.5-0zneon+24.04+noble+release+build54) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 11:51:47 +0000

plasma-workspace (4:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:39:37 +0000

plasma-workspace (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:23:39 +0000

plasma-workspace (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:11:49 +0000

plasma-workspace (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:38:30 +0000

plasma-workspace (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:53:15 +0000

plasma-workspace (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:29:36 +0000

plasma-workspace (4:6.3.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

plasma-workspace (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:02:19 +0000

plasma-workspace (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:15:31 +0000

plasma-workspace (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:12:35 +0000

plasma-workspace (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:14:29 +0000

plasma-workspace (4:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:59:17 +0000

plasma-workspace (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:33:33 +0000

plasma-workspace (4:6.2.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:38:12 +0000

plasma-workspace (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:05:04 +0000

plasma-workspace (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:38:12 +0000

plasma-workspace (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:17:12 +0000

plasma-workspace (4:6.2.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 16 Oct 2024 19:27:38 +0000

plasma-workspace (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:09:17 +0000

plasma-workspace (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:24:25 +0000

plasma-workspace (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:16:36 +0000

plasma-workspace (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:34:11 +0000

plasma-workspace (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:09:53 +0000

plasma-workspace (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:43:57 +0000

plasma-workspace (4:6.0.5.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 May 2024 13:55:20 +0000

plasma-workspace (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:03:22 +0000

plasma-workspace (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:21:37 +0000

plasma-workspace (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:52:38 +0000

plasma-workspace (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:17:35 +0000

plasma-workspace (4:6.0.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:25:16 +0000

plasma-workspace (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:57 +1000

plasma-workspace (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:54:20 +0000

plasma-workspace (4:5.27.9.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 15:02:59 +0000

plasma-workspace (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:23:13 +0000

plasma-workspace (4:5.27.7-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:23:13 +0000

plasma-workspace (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:10:44 +0000

plasma-workspace (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 12:38:22 +0000

plasma-workspace (4:5.27.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:34:36 +0000

plasma-workspace (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:15:40 +0000

plasma-workspace (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:08:31 +0000

plasma-workspace (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:37:38 +0000

plasma-workspace (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:29:52 +0000

plasma-workspace (4:5.26.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:50:58 +0000



=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: appmenu-gtk2-module,
               appmenu-gtk3-module,
               breeze-dev,
               cmake,
               debhelper-compat (= 13),
               dh-apparmor,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdesu-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kpackage-dev,
               kf6-kparts-dev,
               kf6-kpeople-dev,
               kf6-kquickcharts-dev,
               kf6-krunner-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ksvg-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kunitconversion-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               kscreenlocker-dev,
               kwayland-dev,
               kwin-dev,
               libappstreamqt-dev,
               libboost-dev,
               libcanberra-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdbusmenu-qt6-dev,
               libdrm-dev,
               libgps-dev,
               libicu-dev,
               libkexiv2-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               libksysguard-dev,
               liblayershellqtinterface-dev,
               libmpfr-dev,
               libnm-dev | libnm-glib-dev,
               libpackagekitqt6-dev,
               libpam0g-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libpolkit-qt6-1-dev,
               libqalculate-dev,
               libraw1394-dev,
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libusb-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               lm-sensors,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-wayland-protocols,
               plasma5support-dev,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-phonon-dev,
               qt6-positioning-dev,
               qt6-sensors-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols,
               xcb-proto
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Git: https://invent.kde.org/neon/kde/plasma-workspace.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-workspace
Maintainer: Neon CI <neon@kde.org>

Package: plasma-workspace
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: accountsservice,
         appmenu-gtk2-module,
         appmenu-gtk3-module,
         dbus-x11,
         drkonqi,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd,
         kf6-frameworkintegration,
         kf6-kactivities,
         kf6-kcmutils,
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kded,
         kf6-kglobalaccel,
         kf6-kholidays,
         kf6-kio,
         kf6-kirigami-addons,
         kf6-kirigami2,
         kf6-knewstuff,
         kf6-knotifications,
         kf6-kquickcharts,
         kf6-kservice,
         kf6-kwindowsystem,
         kf6-prison,
         kf6-qqc2-desktop-style,
         kio-extras,
         kwin-common,
         kwin-wayland,
         language-selector-common,
         layer-shell-qt,
         libdbusmenu-qt6-2,
         libplasma6,
         milou,
         ocean-sound-theme,
         plasma-activities,
         plasma-integration,
         plasma-wayland-protocols,
         python3:any,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-userfeedback,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-virtualkeyboard,
         qt6-declarative,
         qt6-location,
         qt6-tools,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libtaskmanager6-abi-1
Replaces: libcolorcorrect5,
          libkfontinst5,
          libkfontinstui5,
          libkmpris5,
          libkworkspace6-6,
          libnotificationmanager1,
          libplasma-geolocation-interface5,
          libtaskmanager6,
          libtaskmanager6abi1,
          libweather-ion7,
          plasma-desktop (<< 4:6.3.80),
          plasma-workspace-data,
          plasma-workspace-dbg,
          plasma-workspace-dev (<< 4:6.0.0-1),
          plasma-workspace-wayland,
          sddm-theme-breeze,
          xdg-desktop-portal-kde (<< 6.2.0)
Breaks: plasma-desktop (<< 4:6.3.80),
        plasma-workspace-dev (<< 4:6.0.0-1),
        plasma5support (<< 6.2.5~),
        powerdevil-data (<< 4:6.1.0),
        xdg-desktop-portal-kde (<< 6.2.0)
Recommends: kde-cli-tools, libpam-kwallet5, plasma-workspace-wallpapers
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 5.

Package: plasma-workspace-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kitemmodels-dev,
         kf6-kwindowsystem-dev,
         kwin-dev,
         libksysguard-dev,
         libplasma-dev,
         plasma-workspace (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Conflicts: kde-workspace-dev
Breaks: plasma5support-dev (<< 6.2.5)
Description: Plasma Workspace for KF6 devel files
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: libcolorcorrect5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkfontinst5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkfontinstui5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkmpris5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkworkspace5-5
Architecture: all
Depends: libkworkspace6-6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkworkspace6-6
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Replaces: libkworkspace5-5
Description: Dummy transitional
 Transitional dummy package

Package: libnotificationmanager1
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libplasma-geolocation-interface5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libweather-ion7
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libtaskmanager6abi1
Architecture: all
Depends: libtaskmanager6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libtaskmanager6
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-data
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-dbg
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-wayland
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sddm-theme-breeze
Architecture: all
Depends: plasma-workspace, sddm, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
